Package org.apache.qpid.proton.codec

# Enum Data.DataType

java.lang.Object
java.lang.Enum<Data.DataType>
org.apache.qpid.proton.codec.Data.DataType

All Implemented Interfaces:
  `Serializable`, `Comparable<Data.DataType>`

Enclosing interface:
  `Data`

public static enum Data.DataType extends Enum<Data.DataType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`BINARY`
`BOOL`
`BYTE`
`CHAR`
`DECIMAL128`
`DECIMAL32`
`DECIMAL64`
`DESCRIBED`
`DOUBLE`
`FLOAT`
`INT`
`LIST`
`LONG`
`MAP`
`NULL`
`SHORT`
`STRING`
`SYMBOL`
`TIMESTAMP`
`UBYTE`
`UINT`
`ULONG`
`USHORT`
`UUID`

## Method Summary

Modifier and Type
Method
Description
`static Data.DataType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Data.DataType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL

public static final Data.DataType NULL

### BOOL

public static final Data.DataType BOOL

### UBYTE

public static final Data.DataType UBYTE

### BYTE

public static final Data.DataType BYTE

### USHORT

public static final Data.DataType USHORT

### SHORT

public static final Data.DataType SHORT

### UINT

public static final Data.DataType UINT

### INT

public static final Data.DataType INT

### CHAR

public static final Data.DataType CHAR

### ULONG

public static final Data.DataType ULONG

### LONG

public static final Data.DataType LONG

### TIMESTAMP

public static final Data.DataType TIMESTAMP

### FLOAT

public static final Data.DataType FLOAT

### DOUBLE

public static final Data.DataType DOUBLE

### DECIMAL32

public static final Data.DataType DECIMAL32

### DECIMAL64

public static final Data.DataType DECIMAL64

### DECIMAL128

public static final Data.DataType DECIMAL128

### UUID

public static final Data.DataType UUID

### BINARY

public static final Data.DataType BINARY

### STRING

public static final Data.DataType STRING

### SYMBOL

public static final Data.DataType SYMBOL

### DESCRIBED

public static final Data.DataType DESCRIBED

### ARRAY

public static final Data.DataType ARRAY

### LIST

public static final Data.DataType LIST

### MAP

public static final Data.DataType MAP

## Method Details

### values

public static Data.DataType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Data.DataType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null